Subject: [Lsr] Roman Danyliw's No Objection on draft-ietf-lsr-isis-rfc5306bis-06: (with COMMENT)

From: Roman Danyliw via Datatracker <[email-masked]>
Date: Wed, 18 Sep 2019 07:44:42 -0700

Roman Danyliw has entered the following ballot position for
draft-ietf-lsr-isis-rfc5306bis-06: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-lsr-isis-rfc5306bis/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

(1) Section 3.1.  The two “NOTE” statements in this section seem to conflict:
-- NOTE: These timers are NOT applicable to a router which is preparing to do a
planned restart.

-- NOTE: The timer T3 is only used by a restarting router.

(2) Per the definition of the “Remaining Time” field, when is it the “remaining
holding time” vs. “recommended holding time"

(3) Editorial Nits:
-- Multiple places.  s/signalling/signaling/g

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Thu, 19 Sep 2019 00:49:09 +0000

Roman -

Thanx for the review.
I have uploaded V7 of the draft to address your comments.

Responses inline.

> -----Original Message-----
> From: Roman Danyliw via Datatracker <[email-masked]>
> Sent: Wednesday, September 18, 2019 7:45 AM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; Uma Chunduri
> <[email-masked]>; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: Roman Danyliw's No Objection on draft-ietf-lsr-isis-rfc5306bis-06:
> (with COMMENT)
> 

[Les:] I have added text indicating that T1/T2 can be used both by a restarting router and starting router (details were already provided in the respective sections later in the document) but that T3 is only used by a restarting router.
The second NOTE has been deleted.

> holding time” vs. “recommended holding time"

[Les:] I have removed the term "recommended" which is not otherwise used in the document.

> -- Multiple places.  s/signalling/signaling/g

[Les:] It depends whether you are British or not. 😊
As the original lead author of RFC 5306 was British I have conformed to the British spelling.
If you think that is not right, I suggest we let the RFC Editor decide.

    Les

---

From: Roman Danyliw <[email-masked]>
Date: Thu, 19 Sep 2019 14:14:30 +0000

Hi Les!

-07 addresses all of my concerns.  The quick update is appreciated.

> From: Les Ginsberg (ginsberg) [mailto:[email-masked]]
> Sent: Wednesday, September 18, 2019 8:49 PM
> To: Roman Danyliw <[email-masked]>; The IESG <[email-masked]>
> Subject: RE: Roman Danyliw's No Objection on draft-ietf-lsr-isis-rfc5306bis-
> 06: (with COMMENT)
> 
> Roman -
> 
> Thanx for the review.
> > email addresses included in the To and CC lines. (Feel free to cut
> > this introductory paragraph, however.)
> >
> >
> > Please refer to
> > https://www.ietf.org/iesg/statement/discuss-criteria.html
> > -- NOTE: These timers are NOT applicable to a router which is
> > preparing to do a planned restart.
> >
> [Les:] I have added text indicating that T1/T2 can be used both by a restarting
> router and starting router (details were already provided in the respective
> sections later in the document) but that T3 is only used by a restarting router.
> > (2) Per the definition of the “Remaining Time” field, when is it the
> > “remaining holding time” vs. “recommended holding time"
> 

Both of these are work for me.  Thank you.

> If you think that is not right, I suggest we let the RFC Editor decide.

No problem.  (*Embarrassed*) I forgot that there was an alternate spelling.

Roman